%global pypi_name pytest-openfiles

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        %mkrel 6
Summary:        Pytest plugin for detecting inadvertent open file handles
Group:		    Development/Python

License:        BSD
URL:            https://pypi.org/project/pytest-openfiles/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
The pytest-openfiles plugin allows for the detection of open I/O resources at
the end of unit tests. This is particularly useful for testing code that
manipulates file handles or other I/O resources. It allows developers to
ensure that this kind of code properly cleans up I/O resources when they are
no longer needed.


%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3dist(psutil)
Requires:       python3dist(pytest)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The pytest-openfiles plugin allows for the detection of open I/O resources at
the end of unit tests. This is particularly useful for testing code that
manipulates file handles or other I/O resources. It allows developers to
ensure that this kind of code properly cleans up I/O resources when they are
no longer needed.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
# Remove source tests directory installed by mistake
rm -fr %{buildroot}%{python3_sitelib}/tests

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/*



%changelog
* Sun Mar 02 2025 wally <wally> 0.5.0-6.mga10
+ Revision: 2158497
- rebuild for python3.13

* Fri Dec 08 2023 wally <wally> 0.5.0-5.mga10
+ Revision: 2015749
- rebuild for py3.12

* Sat Mar 26 2022 umeabot <umeabot> 0.5.0-4.mga9
+ Revision: 1828461
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.5.0-3.mga9
+ Revision: 1775725
- rebuild for python-3.10

* Sun Mar 21 2021 joequant <joequant> 0.5.0-2.mga9
+ Revision: 1706740
- update to python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 0.5.0-1.mga9
+ Revision: 1695450
- new version 0.5.0

* Sun Feb 16 2020 umeabot <umeabot> 0.3.2-5.mga8
+ Revision: 1534939
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.3.2-4.mga8
+ Revision: 1450251
- imported package python-pytest-openfiles


* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.2-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.2-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 29 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.3.2-1
- new version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 24 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.3.0-1
- new version

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-2
- Rebuilt for Python 3.7

* Sat Mar 17 2018 Christian Dersch <lupinix@mailbox.org> - 0.2.0-1
- initial packaging effort

